package Orchestrator;

/**
 * This class defines roles
 * a role is created by crossing data from .abc file (which instrument is needed for which track)
 * and data obtained from LOTRO (which character whos associated window is represented by hwnd holds which instruments), 
 * @author root
 *
 */

public class Roles
{
  private String partition_number = null;
  private String character = null;
  private int HWND = -1;
  
  public Roles(String partition_number, String name, int hwnd)
  {
    this.setPartition_number(partition_number);
    this.setCharacter(name);
    this.setHWND(hwnd);
  }

public String getCharacter() {
	return character;
}

public void setCharacter(String character) {
	this.character = character;
}

public String getPartition_number() {
	return partition_number;
}

public void setPartition_number(String partition_number) {
	this.partition_number = partition_number;
}

public int getHWND() {
	return HWND;
}

public void setHWND(int hWND) {
	HWND = hWND;
}

}